CANVAS_CONVERT_FROM_CANVAS_COORDS(3)

FUNCTION
canvas_convert_from_canvas_coords - Convert world co-ordinates to pixel co-ordinates.

SYNOPSIS
#include <karma_canvas.h>

void canvas_convert_from_canvas_coords

(KWorldCanvas canvas, flag clip, flag linear, unsigned int num_coords, CONST double *xin, CONST double *yin, double *xout, double *yout)

DESCRIPTION
Convert world co-ordinates to pixel co-ordinates.

canvas
    The world canvas object.

clip
    If TRUE, world co-ordinates are first clipped to the canvas boundaries prior to conversion.

linear
    If TRUE, the input world co-ordinates are assumed to be linear, hence no non-linear to linear co-ordinate transformation is applied.

num_coords
    The number of co-ordinates to convert.

xin The array of input horizontal world co-ordinates.

yin The array of input vertical world co-ordinates.

xout
    The array of output horizontal pixel co-ordinates are written here.

yout
    The array of output vertical pixel co-ordinates are written here.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/